wxWidgets: wxRichTextParagraphStyleDefinition Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxRichTextParagraphStyleDefinition Class Reference
Class List by Category » Rich Text

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextParagraphStyleDefinition:
[legend]

## Detailed Description

This class represents a paragraph style definition, usually added to a wxRichTextStyleSheet.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxRichTextParagraphStyleDefinition (const wxString &name=wxEmptyString)
| Constructor. More...
virtual | ~wxRichTextParagraphStyleDefinition ()
| Destructor. More...
const wxString & | GetNextStyle () const
| Returns the style that should normally follow this style. More...
void | SetNextStyle (const wxString &name)
| Sets the style that should normally follow this style. More...
Public Member Functions inherited from wxRichTextStyleDefinition
| wxRichTextStyleDefinition (const wxString &name=wxEmptyString)
| Constructor. More...
virtual | ~wxRichTextStyleDefinition ()
| Destructor. More...
const wxString & | GetBaseStyle () const
| Returns the style on which this style is based. More...
const wxString & | GetDescription () const
| Returns the style's description. More...
const wxString & | GetName () const
| Returns the style name. More...
wxRichTextAttr | GetStyle () const
| Returns the attributes associated with this style. More...
const wxRichTextAttr | GetStyle () const
virtual wxRichTextAttr | GetStyleMergedWithBase (const wxRichTextStyleSheet *sheet) const
| Returns the style attributes combined with the attributes of the specified base style, if any. More...
void | SetBaseStyle (const wxString &name)
| Sets the name of the style that this style is based on. More...
void | SetDescription (const wxString &descr)
| Sets the style description. More...
void | SetName (const wxString &name)
| Sets the name of the style. More...
void | SetStyle (const wxRichTextAttr &style)
| Sets the attributes for this style. More...
wxRichTextProperties & | GetProperties ()
| Returns the definition's properties. More...
const wxRichTextProperties & | GetProperties () const
| Returns the definition's properties. More...
void | SetProperties (const wxRichTextProperties &props)
| Sets the definition's properties. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxRichTextParagraphStyleDefinition()

wxRichTextParagraphStyleDefinition::wxRichTextParagraphStyleDefinition | ( | const wxString & | name = `wxEmptyString` | ) |

Constructor.

## ◆ ~wxRichTextParagraphStyleDefinition()

virtual wxRichTextParagraphStyleDefinition::~wxRichTextParagraphStyleDefinition | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ GetNextStyle()

const wxString& wxRichTextParagraphStyleDefinition::GetNextStyle | ( |  | ) | const

Returns the style that should normally follow this style.

## ◆ SetNextStyle()

void wxRichTextParagraphStyleDefinition::SetNextStyle | ( | const wxString & | name | ) |

Sets the style that should normally follow this style.